 /*
 * 74cms 猎头发布职位语言要求选择
 * ============================================================================
 * 版权所有: 骑士网络，并保留所有权利。
 * 网站地址: http://www.74cms.com；
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和
 * 使用；不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/

// 语言要求选择
function selectYourLanguage(showID, language, language_cn) {
	var language_val = $(language).val();
	if(language_val) {
		var language_array = language_val.split(","),
			li_array = $(showID + " i");
		$.each(li_array, function() {
			var liobj = $(this), li_data_array = liobj.attr("data").split(",");
			for (var i = 0; i < language_array.length; i++) {
				if(li_data_array[0] == language_array[i]) {
					liobj.addClass('checkboxui-checked');
				}
			};
		});
	}
	$(showID + " i").click(function() {
		var i_id = new Array();
		var i_cn = new Array();
		$(showID + " i.checkboxui-checked").each(function(index,el) {
			var l_data_array = $(this).attr("data").split(",");
			i_id[index] = l_data_array[0];
			i_cn[index] = l_data_array[1];
		})
		$(language).val(i_id.join(","));
		$(language_cn).val(i_cn.join(","));
	})
}